<?xml version="1.0" encoding="utf-8" standalone="no"?>
<!--This is a generated XML file-->
<xs:schema targetNamespace="http://www.agence-france-locale.fr" xmlns:AFL="http://www.agence-france-locale.fr" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" />
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xs:annotation>
    <xs:appinfo>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Actif" id="Actif">
        <link:definition>Actif</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Passif" id="Passif">
        <link:definition>Passif</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Cr" id="Cr">
        <link:definition>Cr</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Sorie" id="Sorie">
        <link:definition>Sorie</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Tft" id="Tft">
        <link:definition>Tft</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Varcap" id="Varcap">
        <link:definition>Varcap</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/GeneralInformationAboutFinancialStatements" id="GeneralInformationAboutFinancialStatements">
        <link:definition>GeneralInformationAboutFinancialStatements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Anchoring" id="Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Cr_1" id="Cr_1">
        <link:definition>Cr_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Tft_1" id="Tft_1">
        <link:definition>Tft_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.agence-france-locale.fr/role/Varcap_1" id="Varcap_1">
        <link:definition>Varcap_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:href="9695002K2HDLD20JU790-2024-12-31_def.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695002K2HDLD20JU790-2024-12-31_cal.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695002K2HDLD20JU790-2024-12-31_pre.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695002K2HDLD20JU790-2024-12-31_lab-fr.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
      <link:linkbaseRef xlink:href="9695002K2HDLD20JU790-2024-12-31_lab-en.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
      <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fr.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
      <link:linkbaseRef xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" />
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="AFL_EquityAttributableToOwnersOfParentAbstract" name="EquityAttributableToOwnersOfParentAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_Issuedcapitalandsharepremium" name="Issuedcapitalandsharepremium" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant" />
  <xs:element id="AFL_ConsolidatedReserves" name="ConsolidatedReserves" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant" />
  <xs:element id="AFL_ProfitLossAbstract1" name="ProfitLossAbstract1" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_ProfitLossBeforeTaxAbstract" name="ProfitLossBeforeTaxAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_ProfitLossFromOperatingActivitiesAbstract" name="ProfitLossFromOperatingActivitiesAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_GrossOperatingIncomeAbstract" name="GrossOperatingIncomeAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_NetBankingIncomeAbstract" name="NetBankingIncomeAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" name="Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" name="Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_NetBankingIncome" name="NetBankingIncome" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_OperatingExpenses" name="OperatingExpenses" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_GrossOperatingIncome" name="GrossOperatingIncome" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_ComprehensiveIncomeAbstract1" name="ComprehensiveIncomeAbstract1" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" name="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" name="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" name="TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_NetProvisionsAndImpairment" name="NetProvisionsAndImpairment" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" name="AdjustmentsForWhichCashEffectsAreInvestingCashFlow" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" name="AdjustmentsForWhichCashEffectsAreFinancingCashFlow" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" name="TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" name="IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_Changeinintercreditinstitutionsitems" name="Changeinintercreditinstitutionsitems" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_ChangeInCustomerItems" name="ChangeInCustomerItems" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_ChangeInFinancialAssetsAndLiabilities" name="ChangeInFinancialAssetsAndLiabilities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_ChangeInNonFinancialAssetsAndLiabilities" name="ChangeInNonFinancialAssetsAndLiabilities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" name="IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_Changeinequityinvestmentsinvestingactivities" name="Changeinequityinvestmentsinvestingactivities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_Cashflowsfrominvestmentproperty" name="Cashflowsfrominvestmentproperty" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" name="ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" name="Cashreceivedfrompaidtoshareholdersfinancingactivities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xs:element id="AFL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" name="IncreaseDecreaseInCashAndCashEquivalentsAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" name="CashAndBalancesWithCentralBanksAssetsLiabilities" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant" />
  <xs:element id="AFL_NetDemandLoansAndDepositsWithCreditInstitutions" name="NetDemandLoansAndDepositsWithCreditInstitutions" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant" />
  <xs:element id="AFL_IncreaseDecreaseThroughTransactionsWithOwnersAbstract" name="IncreaseDecreaseThroughTransactionsWithOwnersAbstract" abstract="true" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xs:element id="AFL_IssuanceRedemptionOfEquityInstruments" name="IssuanceRedemptionOfEquityInstruments" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_RemunerationOfUndatedDeeplySubordinatedNotes" name="RemunerationOfUndatedDeeplySubordinatedNotes" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_AugmentationDeCapital18Mars" name="AugmentationDeCapital18Mars" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_AugmentationDeCapital26Juin" name="AugmentationDeCapital26Juin" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_AugmentationDeCapital6Novembre" name="AugmentationDeCapital6Novembre" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xs:element id="AFL_AugmentationDeCapital27Decembre" name="AugmentationDeCapital27Decembre" abstract="false" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
</xs:schema>